summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Mair-Keimberger <m.mairkeimberger@gmail.com>2019-05-05 14:24:34 +0200
committerMichael Orlitzky <mjo@gentoo.org>2019-05-06 11:46:14 -0400
commit200f7eb67c6ba3c6fedfa8b2ca73bbfd75ce5f76 (patch)
treebb6ad5b2780f4253e68351d13fffb55a2bb8ed9c /mail-filter/opendkim
parentmail-filter/opendkim: fix @runstatedir@ -> @RUNSTATEDIR@ in a patch. (diff)
downloadgentoo-200f7eb67c6ba3c6fedfa8b2ca73bbfd75ce5f76.tar.gz
gentoo-200f7eb67c6ba3c6fedfa8b2ca73bbfd75ce5f76.tar.bz2
gentoo-200f7eb67c6ba3c6fedfa8b2ca73bbfd75ce5f76.zip
mail-filter/opendkim: remove unused files
Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger@gmail.com> Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
Diffstat (limited to 'mail-filter/opendkim')
-rw-r--r--mail-filter/opendkim/files/opendkim.init.r677
-rw-r--r--mail-filter/opendkim/files/opendkim.service.r416
2 files changed, 0 insertions, 93 deletions
diff --git a/mail-filter/opendkim/files/opendkim.init.r6 b/mail-filter/opendkim/files/opendkim.init.r6
deleted file mode 100644
index 95aa971fd88e..000000000000
--- a/mail-filter/opendkim/files/opendkim.init.r6
+++ /dev/null
@@ -1,77 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-CONFFILE="/etc/opendkim/${RC_SVCNAME}.conf"
-required_files="${CONFFILE}"
-
-command="/usr/sbin/opendkim"
-pidfile="/run/${RC_SVCNAME}.pid"
-command_args="-P ${pidfile} -x ${CONFFILE} -p ${OPENDKIM_SOCKET}"
-
-depend() {
- use dns logger net
- before mta
-}
-
-check_cfg() {
- #
- # The opendkim.conf man page says,
- #
- # For parameters that are Boolean in nature, only the first byte
- # of the value is processed... For negative values, the following
- # are accepted: "F", "f", "N", "n", "0".'
- #
- if grep --quiet '^[[:space:]]*Background[[:space:]]\+[FfNn0]' \
- "${CONFFILE}"; then
- eerror "${RC_SVCNAME} cannot run in the foreground!"
- return 1
- fi
- if ! ${command} -n ${command_args}; then
- eerror "Configuration check failed"
- return 1
- fi
-}
-
-start_pre() {
- # If this isn't a restart, make sure that the user's config isn't
- # busted before we try to start the daemon (this will produce
- # better error messages than if we just try to start it blindly).
- #
- # If, on the other hand, this *is* a restart, then the stop_pre
- # action will have ensured that the config is usable and we don't
- # need to do that again.
- if [ "${RC_CMD}" != "restart" ]; then
- check_cfg || return $?
- fi
-
- if [ -S "${OPENDKIM_SOCKET}" ] && ! fuser -s "${OPENDKIM_SOCKET}"; then
- # Remove stalled Unix socket if no other process is
- # using it
- if ! rm "${UNIX_SOCKET}"; then
- eerror "failed to remove stale unix socket ${OPENDKIM_SOCKET}"
- return 2
- fi
- fi
-
- # This relies on the "local:" prefix being there, but the conf.d
- # file explicitly states that it's not optional (contrary to what
- # the opendkim(8) man page says).
- if [ "${OPENDKIM_SOCKET#local:}" != "${OPENDKIM_SOCKET}" ]; then
- # The socket begins with "local:"
- OPENDKIM_SOCKET_PATH="${OPENDKIM_SOCKET#local:}"
- OPENDKIM_SOCKET_DIR="${OPENDKIM_SOCKET_PATH%/*}"
-
- # This is dangerous, but there's a big warning about it
- # in the conf.d file.
- checkpath --directory --owner opendkim "${OPENDKIM_SOCKET_DIR}"
- fi
-}
-
-stop_pre() {
- # If this is a restart, check to make sure the user's config
- # isn't busted before we stop the running daemon.
- if [ "${RC_CMD}" = "restart" ]; then
- check_cfg || return $?
- fi
-}
diff --git a/mail-filter/opendkim/files/opendkim.service.r4 b/mail-filter/opendkim/files/opendkim.service.r4
deleted file mode 100644
index 8c366007c009..000000000000
--- a/mail-filter/opendkim/files/opendkim.service.r4
+++ /dev/null
@@ -1,16 +0,0 @@
-[Unit]
-Description=DomainKeys Identified Mail (DKIM) Milter
-Documentation=man:opendkim(8) man:opendkim.conf(5) man:opendkim-genkey(8) man:opendkim-genzone(8) man:opendkim-testadsp(8) man:opendkim-testkey http://www.opendkim.org/docs.html
-After=network.target nss-lookup.target syslog.target
-
-[Service]
-ExecStartPre=/usr/sbin/opendkim -n -f -x /etc/opendkim/opendkim.conf -p $OPENDKIM_SOCKET
-ExecStart=/usr/sbin/opendkim -f -x /etc/opendkim/opendkim.conf -p $OPENDKIM_SOCKET
-ExecReload=/bin/kill -USR1 $MAINPID
-RuntimeDirectory=opendkim
-RuntimeDirectoryMode=0750
-User=opendkim
-Group=opendkim
-
-[Install]
-WantedBy=multi-user.target